Last Comment Bug 6262 - (feature) enabling ender in Gecko needs to be implemented
: (feature) enabling ender in Gecko needs to be implemented
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Editor (show other bugs)
: Trunk
: All All
: P3 normal (vote)
: M11
Assigned To: buster
: sujay
Mentors:
: 3962 5061 13276 (view as bug list)
Depends on: 5894 6896 12226 12808
Blocks: 2914 2937 4348 5193 5773 5916 6053 7228 8643 8958 10770 10965 11758 12845 12902 13276
  Show dependency treegraph
 
Reported: 1999-05-11 13:26 PDT by sujay
Modified: 2001-09-12 00:43 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description sujay 1999-05-11 13:26:46 PDT
using 5/11 build of apprunner.

The following functionality needs to be implemented for editor

Enable Ender as plain text field
Enable Ender as plain text area
Enable Ender as rich text area
Comment 1 Greg Kostello 1999-05-18 17:13:59 PDT
Setting Milestone to M8
Comment 2 tague 1999-06-11 15:05:59 PDT
adding dependencies
Comment 3 bobj 1999-06-16 17:43:59 PDT
*** Bug 3962 has been marked as a duplicate of this bug. ***
Comment 4 bobj 1999-06-16 17:44:59 PDT
*** Bug 4348 has been marked as a duplicate of this bug. ***
Comment 5 bobj 1999-06-16 17:45:59 PDT
*** Bug 5061 has been marked as a duplicate of this bug. ***
Comment 6 bobj 1999-06-16 17:47:59 PDT
*** Bug 5063 has been marked as a duplicate of this bug. ***
Comment 7 buster 1999-06-17 12:34:59 PDT
added 8410 dependancy, can't turn on GFX widgets until necko lands or netlib is
fixed.
Comment 8 buster 1999-07-01 15:17:59 PDT
M9.  Can't turn on GFX widgets until after necko lands.
Comment 9 buster 1999-08-02 13:52:59 PDT
As of 8/2/99, this is not enabled by default, but it is ready for use.
Comment 10 bobj 1999-08-02 14:55:59 PDT
To enable this, add these lines to prefs.js:
 user_pref("nglayout.compatibility.mode", 1);
 user_pref("nglayout.widget.mode", 2);
Comment 11 buster 1999-08-05 15:17:59 PDT
necko landing has caused too much upheaval to try to get this in for M9.  Will
enable by default first thing in M10.  Anybody can start using this by setting
the pref nglayout.widget.mode = 2
Comment 12 bobj 1999-08-06 16:13:59 PDT
Added teruko and momoi to cc list.
Comment 13 buster 1999-08-31 16:19:59 PDT
moved to M11
Comment 14 Frank Tang 1999-09-08 15:29:59 PDT
*** Bug 13276 has been marked as a duplicate of this bug. ***
Comment 15 buster 1999-09-12 21:39:59 PDT
gfx text controls are on by default on linux and windows, and on mac they can be
turned on easily with a pref.  marking this bug fixed.  all dependent bugs
should be checked.
Comment 16 sujay 1999-09-14 12:41:59 PDT
verified in 9/14 build.

Note You need to log in before you can comment on or make changes to this bug.